Provide common cleanup script to be used across projects 54/1454/4
authorEd Warnicke <eaw@cisco.com>
Wed, 8 Jun 2016 19:58:27 +0000 (14:58 -0500)
committerEd Warnicke <eaw@cisco.com>
Wed, 8 Jun 2016 20:10:41 +0000 (15:10 -0500)
Change-Id: Iebafbd25bee5cbf9c09fe0183b5d7e4c1eef8bb8
Signed-off-by: Ed Warnicke <eaw@cisco.com>
jjb/nsh_sfc/nsh_sfc.yaml
jjb/scripts/cleanup_vpp_plugin_dev_env.sh [new file with mode: 0644]

index 199f5eb..90d4609 100644 (file)
@@ -7,12 +7,16 @@
 
     project: 'nsh_sfc'
     os:
-        - ubuntu1404
-        - ubuntu1604
-        - centos7
+        - ubuntu1404:
+            repo-os-part: 'ubuntu.trusty.main'
+        - ubuntu1604:
+            repo-os-part: 'ubuntu.xenial.main'
+        - centos7:
+            repo-os-part: 'centos7'
     stream:
         - master:
             branch: 'master'
+            repo-stream-part: 'master'
 
 - job-template:
     name: 'nsh_sfc-verify-{stream}-{os}'
@@ -34,6 +38,8 @@
             branch: '{branch}'
         - os-parameter:
             os: '{os}'
+        - repo-name-parameter:
+            repo-name: '{repo-stream-part}.{repo-os-part}'
 
     scm:
         - gerrit-trigger-scm:
 
     builders:
         - shell:
-            !include-raw-escape: include-raw-nsh_sfc-build.sh
+            !include-raw-escape:
+                - ../scripts/cleanup_vpp_plugin_dev_env.sh
+                - include-raw-nsh_sfc-build.sh
+                - ../scripts/cleanup_vpp_plugin_dev_env.sh
 
 - job-template:
     name: 'nsh_sfc-verify-image-{stream}-{os}'
@@ -75,6 +84,8 @@
             branch: '{branch}'
         - os-parameter:
             os: '{os}'
+        - repo-name-parameter:
+            repo-name: '{repo-stream-part}.{repo-os-part}'
 
     scm:
         - gerrit-trigger-scm:
 
     builders:
         - shell:
-            !include-raw-escape: include-raw-nsh_sfc-build.sh
+            !include-raw-escape:
+                - ../scripts/cleanup_vpp_plugin_dev_env.sh
+                - include-raw-nsh_sfc-build.sh
+                - ../scripts/cleanup_vpp_plugin_dev_env.sh
 
 - job-template:
     name: 'nsh_sfc-merge-{stream}-{os}'
             branch: '{branch}'
         - os-parameter:
             os: '{os}'
+        - repo-name-parameter:
+            repo-name: '{repo-stream-part}.{repo-os-part}'
 
     scm:
         - gerrit-trigger-scm:
 
     builders:
         - shell:
-            !include-raw-escape: include-raw-nsh_sfc-build.sh
\ No newline at end of file
+            !include-raw-escape:
+                - ../scripts/cleanup_vpp_plugin_dev_env.sh
+                - include-raw-nsh_sfc-build.sh
+                - ../scripts/cleanup_vpp_plugin_dev_env.sh
\ No newline at end of file
diff --git a/jjb/scripts/cleanup_vpp_plugin_dev_env.sh b/jjb/scripts/cleanup_vpp_plugin_dev_env.sh
new file mode 100644 (file)
index 0000000..ebdba5f
--- /dev/null
@@ -0,0 +1,31 @@
+#!/bin/bash
+set -e -o pipefail
+
+# Figure out what system we are running on
+if [ -f /etc/lsb-release ];then
+    . /etc/lsb-release
+elif [ -f /etc/redhat-release ];then
+    sudo yum install -y redhat-lsb
+    DISTRIB_ID=`lsb_release -si`
+    DISTRIB_RELEASE=`lsb_release -sr`
+    DISTRIB_CODENAME=`lsb_release -sc`
+    DISTRIB_DESCRIPTION=`lsb_release -sd`
+fi
+echo DISTRIB_ID: $DISTRIB_ID
+echo DISTRIB_RELEASE: $DISTRIB_RELEASE
+echo DISTRIB_CODENAME: $DISTRIB_CODENAME
+echo DISTRIB_DESCRIPTION: $DISTRIB_DESCRIPTION
+
+function cleanup {
+    # Setup by installing vpp-dev and vpp-lib
+    if [ $DISTRIB_ID == "Ubuntu" ]; then
+        sudo rm -f /etc/apt/sources.list.d/99fd.io.list
+        sudo apt-get -y remove vpp-dev vpp-lib vpp-dev vpp-lib vpp vpp-dpdk-dev vpp-dpdk-dkms vpp-dbg
+    elif [[ $DISTRIB_ID == "CentOS" ]]; then
+        sudo rm -f /etc/yum.repos.d/fdio-master.repo
+        sudo yum -y remove vpp-devel vpp-lib vpp
+    fi
+}
+
+trap cleanup EXIT
+cleanup